ApiRegistryProjects
Create project
Authorization
bearerAuth AuthorizationBearer <token>
Firebase ID token (Google sign-in, etc.)
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/projects" \ -H "Content-Type: application/json" \ -d '{ "owner_type": "string", "owner_name": "string", "name": "string", "visibility": "public" }'{ "project": { "id": "string", "owner_type": "string", "owner_name": "string", "name": "string", "visibility": "string", "description": "string", "latest_published_version": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }}{ "error": { "code": "string", "message": "string" }}Service metadata GET GET
Previous Page
Delete a project DELETE DELETE
Permanently deletes the project, its draft files, published versions, validation results, and artifact records (database cascades). Blob contents are content-addressed and may be shared, so they are not removed from storage. Requires ownership.